List Customer Attributes

Returns a list of Customer Attributes. You can pass in optional filter parameters.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Headers

AcceptstringOptionalDefaults to application/json

Query parameters

pageintegerOptional

Page number. page=1

limitdoubleOptional

Items count per page. limit=50

namestringOptional

Filter items by customer attribute name. name=Date+Joined

name:likestringOptional

Filter items by substring in customer attribute name. name:like=join

typestringOptional
The type of the customer attribute.
date_createddatetimeOptional

Filter items by date_created, for example, 2024-05-14T09:34:00, 2024-05-14T09:34:00 or 2024-05-14.

date_created:maxdatetimeOptional

Filter items by maximum date_created, for example, 2024-05-14T09:34:00, 2024-05-14T09:34:00 or 2024-05-14. ISO 8601 full-date is required, ISO 8601 full-time is not required. UNIX timestamp also accepted. Returns metafields created before this date.

date_created:mindatetimeOptional

Filter items by minimum date_created, for example, 2024-05-14T09:34:00, 2024-05-14T09:34:00 or 2024-05-14. ISO 8601 full-date is required, ISO 8601 full-time is not required. UNIX timestamp also accepted. Returns metafields created after this date.

date_modifieddatetimeOptional

Filter items by date_modified, for example, 2024-05-14T09:34:00 or 2024-05-14.

date_modified:maxdatetimeOptional

Filter items by maximum date_modified, for example, 2024-05-14T09:34:00 or 2024-05-14. ISO 8601 full-date is required, ISO 8601 full-time is not required. UNIX timestamp also accepted. Returns metafields modified before this date.

date_modified:mindatetimeOptional

Filter items by minimum date_modified, for example, 2024-05-14T09:34:00 or 2024-05-14. ISO 8601 full-date is required, ISO 8601 full-time is not required. UNIX timestamp also accepted. Returns metafields modified after this date.

Response

datalist of objects
metaobject
Response metadata.